Loading...
Searching...
No Matches
etl::iindirect_vector< T >::unary_function_adaptor< TUnaryFunction, TReturnType > Class Template Reference

Unary function adaptor. More...

`#include <indirect_vector.h>`

## Public Member Functions

| unary_function_adaptor (TUnaryFunction unary_function_)
TReturnType | operator() (const_pointer indirect_itr)

## Public Attributes

TUnaryFunction | unary_function

## Detailed Description

template<typename T>
template<typename TUnaryFunction, typename TReturnType = void>
class etl::iindirect_vector< T >::unary_function_adaptor< TUnaryFunction, TReturnType >

Unary function adaptor.

The documentation for this class was generated from the following file:

- include/etl/indirect_vector.h